Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 83313 - Remove Processes node from Runtime tab
Remove Processes node from Runtime tab
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Execution
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jesse Glick
issues@platform
plan60
: UI
Depends on: 43143 63586 75465
Blocks: 38320
  Show dependency treegraph
 
Reported: 2006-08-23 20:22 UTC by Jesse Glick
Modified: 2008-12-22 13:51 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2006-08-23 20:22:18 UTC
With the implementation of issue #75465 and issue #43143, as far as I know this
node is now obsolete and ought to be removed from the GUI. Opinions?
Comment 1 jrojcek 2006-08-24 10:05:46 UTC
I agree the node should be removed.

Somewhat related is also issue# 63586, which should provide some sort of indication that a process is 
running even after the user closes the output window.
Comment 2 Jesse Glick 2006-08-28 21:00:54 UTC
Yes, good point, adding a dep on #63586. (Really that issue is about the API; I
should have a separate issue for its usage with Ant.)
Comment 3 Jesse Glick 2006-10-23 23:18:09 UTC
Removing core/src/org/netbeans/core/resources/processes.gif;
/shared/data/ccvs/repository/core/src/org/netbeans/core/resources/processes.gif,v
 <--  processes.gif
new revision: delete; previous revision: 1.2
done
Removing core/src/org/netbeans/core/resources/noProcesses.gif;
/shared/data/ccvs/repository/core/src/org/netbeans/core/resources/noProcesses.gif,v
 <--  noProcesses.gif
new revision: delete; previous revision: 1.1
done
Removing core/src/org/netbeans/core/resources/process.gif;
/shared/data/ccvs/repository/core/src/org/netbeans/core/resources/process.gif,v
 <--  process.gif
new revision: delete; previous revision: 1.1
done
Checking in
xtest/plugins_src/ide/src/org/netbeans/xtest/plugin/ide/MainWithExec.java;
/shared/data/ccvs/repository/xtest/plugins_src/ide/src/org/netbeans/xtest/plugin/ide/MainWithExec.java,v
 <--  MainWithExec.java
new revision: 1.11; previous revision: 1.10
done
Removing core/execution/src/org/netbeans/core/execution/ProcessNode.java;
/shared/data/ccvs/repository/core/execution/src/org/netbeans/core/execution/ProcessNode.java,v
 <--  ProcessNode.java
new revision: delete; previous revision: 1.6
done
Checking in core/execution/src/org/netbeans/core/execution/ExecutionEngine.java;
/shared/data/ccvs/repository/core/execution/src/org/netbeans/core/execution/ExecutionEngine.java,v
 <--  ExecutionEngine.java
new revision: 1.12; previous revision: 1.11
done
Removing core/execution/src/org/netbeans/core/execution/ProcessNodeItem.java;
/shared/data/ccvs/repository/core/execution/src/org/netbeans/core/execution/ProcessNodeItem.java,v
 <--  ProcessNodeItem.java
new revision: delete; previous revision: 1.8
done
Checking in core/execution/src/org/netbeans/core/execution/Bundle.properties;
/shared/data/ccvs/repository/core/execution/src/org/netbeans/core/execution/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.16; previous revision: 1.15
done
Checking in core/execution/src/org/netbeans/core/execution/ExecutionEvent.java;
/shared/data/ccvs/repository/core/execution/src/org/netbeans/core/execution/ExecutionEvent.java,v
 <--  ExecutionEvent.java
new revision: 1.5; previous revision: 1.4
done
Checking in core/execution/src/org/netbeans/core/execution/RunClassThread.java;
/shared/data/ccvs/repository/core/execution/src/org/netbeans/core/execution/RunClassThread.java,v
 <--  RunClassThread.java
new revision: 1.9; previous revision: 1.8
done
Checking in xtest/plugins_src/ide/build.properties;
/shared/data/ccvs/repository/xtest/plugins_src/ide/build.properties,v  <-- 
build.properties
new revision: 1.3; previous revision: 1.2
done
Checking in openide/arch/arch-openide-execution.xml;
/shared/data/ccvs/repository/openide/arch/arch-openide-execution.xml,v  <-- 
arch-openide-execution.xml
new revision: 1.20; previous revision: 1.19
done
Checking in core/execution/src/org/netbeans/core/execution/resources/layer.xml;
/shared/data/ccvs/repository/core/execution/src/org/netbeans/core/execution/resources/layer.xml,v
 <--  layer.xml
new revision: 1.29; previous revision: 1.28
done
Checking in xtest/plugins_src/ide/nbproject/project.xml;
/shared/data/ccvs/repository/xtest/plugins_src/ide/nbproject/project.xml,v  <--
 project.xml
new revision: 1.6; previous revision: 1.5
done
Comment 4 Marian Mirilovic 2006-12-06 10:13:48 UTC
verified
Comment 5 lpintilie 2007-06-07 09:55:06 UTC
There's one problem with this approach, though: usage of keyboard. I've
discovered the missing "Processes" node while actually trying to use it to stop
a debugging session. I've always used Ctrl-5, go to processes and then invoke
(via Shift-F10) the "Terminate" option. I've always believed that NetBeans is a
better IDE than others because it makes it very easy to accomplish many useful
things just keeping your hands on the keyboard - and the results shown in
NetBeans Analytics page seems to support this view.

With the "Processes" node gone, it isn't at all clear how/if one could still
stop long running applications (or debugging sessions) without reaching for the
mouse.
Comment 6 Jesse Glick 2007-06-07 19:36:52 UTC
[Please do not reopen. You can file separate issues for any problems.]

Use: Alt-B S


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo